import request from '@/utils/request'

// 查询在建工程列表
export function listBuilding(query) {
  return request({
    url: '/asset/building/list',
    method: 'get',
    params: query
  })
}

// 查询在建工程详细
export function getBuilding(id) {
  return request({
    url: '/asset/building/get/' + id,
    method: 'get'
  })
}

// 新增在建工程
export function addBuilding(data) {
  return request({
    url: '/asset/building/add',
    method: 'post',
    data: data
  })
}

// 修改在建工程
export function updateBuilding(data) {
  return request({
    url: '/asset/building/edit',
    method: 'post',
    data: data
  })
}

// 删除在建工程
export function delBuilding(id) {
  return request({
    url: '/asset/building/remove/' + id,
    method: 'get'
  })
}

// 转固资
export function buildPermanent(data) {
  return request({
    url: '/asset/building/buildPermanent',
    method: 'post',
    data: data
  })
}

// 导出在建工程
export function exportBuilding(query) {
  return request({
    url: '/asset/building/export',
    method: 'get',
    params: query
  })
}
